***Replication .do file for Moro, Francesco and Salvatore Sberna (#) Transferring violence?....***

*Table 2 - Baseline model*
*Model 1.a & 1.b*

clear all
use "D:\TMV_data\TMV_dta\replication_moro&sberna.dta", clear

xi:  nbreg  mafia_hom transfermafia density VApop  i.year i.prov , r cluster(prov) irr exp(pop)

xi:  nbreg  mafia_hom transfermafia density VApop lagmafia_hom i.year i.prov , r cluster(prov) irr exp(pop)




*Table 2 - Spatial effects*
*Model 2.a & 2.b*

clear all
use "D:\TMV_data\TMV_dta\replication_moro&sberna.dta", clear


xi:  nbreg  mafia_hom transfermafia density VApop lagmafia_hom border_mafia   i.year i.prov , r cluster(prov) irr exp(pop)

xi:  nbreg  mafia_hom transfermafia density VApop  lagmafia_hom border_transfermafia  i.year i.prov, r cluster(prov) exp(pop) irr



*Table 2 - Mafia presence*
*Model 3.a & 3.b*

clear all
use "D:\TMV_data\TMV_dta\replication_moro&sberna.dta", clear

xi:  nbreg  mafia_hom transfermafia density VApop lagmafia_hom i.year i.prov if mafiapresence<1 , r cluster(prov) irr exp(pop)

xi:  nbreg  mafia_hom transfermafia density VApop lagmafia_hom i.year i.prov if mafiapresence>=1, r cluster(prov) irr exp(pop)


*Table 2 - Fractionalization*
*Model 4.a & 4.b*

xi:  nbreg  mafia_hom transfermafia density  VApop  lagmafia_hom  i.prov i.year if fractionalization<=.6238, r cluster(prov) exp(pop) irr

xi:  nbreg  mafia_hom transfermafia density  VApop  lagmafia_hom    i.prov i.year if fractionalization>.6238, r cluster(prov) exp(pop) irr



*Table 3*
*Model 5.a & 5.b - Lagging DV back in time(y-2 and y-6)*

clear all
use "D:\TMV_data\TMV_dta\replication_moro&sberna.dta", clear


xi:  nbreg  mafia_hom lag2transfermafia density VApop border_mafia  lagmafia_hom  i.prov  i.year , r cluster(prov) exp(pop) irr

xi:  nbreg  mafia_hom lag6transfermafia density VApop border_mafia lagmafia_hom   i.prov  i.year , r cluster(prov) exp(pop) irr


*Table 3*
*Model 6.a, 6.b, 6.c, 6.d - NON-Mafia related homicides as DV*

clear all
use "D:\TMV_data\TMV_dta\replication_moro&sberna.dta", clear
egen id=group(province)
tsset id year


xi:  xtreg  ord_hom transferord density VApop border_ord lagord_hom i.year, fe r cluster(prov)

xi:  xtreg  ord_hom transferord density VApop border_ord lagord_hom i.year if  mafiapresence>=1, fe r cluster(prov)

xi:  xtreg  ord_hom transfermafia density VApop border_ord lagord_hom i.year, fe r cluster(prov)

xi:  xtreg  ord_hom transfermafia density VApop border_ord lagord_hom i.year if  mafiapresence>=1, fe r cluster(prov)



*Table 3*
*Model 7.a & 7.b - FE Poisson*

clear all
use "D:\TMV_data\TMV_dta\replication_moro&sberna.dta", clear
egen id=group(province)
tsset id year

xi:  xtpoisson  mafia_hom transfermafia density  VApop  border_mafia lagmafia_hom   i.year , fe exp(pop)  r irr

xi:  xtpoisson  mafia_hom transfermafia density  VApop border_mafia lagmafia_hom   i.prov if  mafiapresence>=1, fe exp(pop) r irr 



*Table 3*
*Model 8.a & 8.b - FE Negative Binomial Model* 

clear all
use "D:\TMV_data\TMV_dta\replication_moro&sberna.dta", clear
egen id=group(province)
tsset id year


xi:  xtnbreg  mafia_hom transfermafia density  VApop  border_mafia lagmafia_hom i.year , fe exp(pop) irr 

xi:  xtnbreg  mafia_hom transfermafia density  VApop  border_mafia lagmafia_hom i.year  if  mafiapresence>=1, fe exp(pop) irr 

   

*Table 3*
*Model 9.a & 9.b -  Binary DV, Probit model*

clear all
use "D:\TMV_data\TMV_dta\replication_moro&sberna.dta", clear
egen id=group(province)
tsset id year

replace mafia_hom=1 if mafia_hom>0 & mafia_hom<.
replace lagmafia_hom=1 if lagmafia_hom>0 & lagmafia_hom<.
replace border_mafia=1 if border_mafia>0 & border_mafia<.

 
xi:  probit mafia_hom transfermafia density VApop border_mafia lagmafia_hom i.year i.prov, r cluster(prov)  

xi:  probit mafia_hom transfermafia density VApop border_mafia lagmafia_hom i.year i.prov if  mafiapresence>=1, r cluster(prov)  


*APPENDIX*
*Table 4 - Baseline model*
*Model 1.a & 1.b*

clear all
use "D:\TMV_data\TMV_dta\replication_moro&sberna.dta", clear

xi:  nbreg  mafia_hom transfermafia_5560 density VApop  i.year i.prov , r cluster(prov) irr exp(pop)

xi:  nbreg  mafia_hom transfermafia_5560 density VApop lagmafia_hom i.year i.prov , r cluster(prov) irr exp(pop)



*Table 4 - Spatial effects*
*Model 2.a & 2.b*

clear all
use "D:\TMV_data\TMV_dta\replication_moro&sberna.dta", clear


xi:  nbreg  mafia_hom transfermafia_5560 density VApop lagmafia_hom border_mafia   i.year i.prov , r cluster(prov) irr exp(pop)

xi:  nbreg  mafia_hom transfermafia_5560 density VApop  lagmafia_hom border_transfermafia_5560  i.year i.prov, r cluster(prov) exp(pop) irr



*Table 4 - Mafia presence*
*Model 3.a & 3.b*

clear all
use "D:\TMV_data\TMV_dta\replication_moro&sberna.dta", clear

xi:  nbreg  mafia_hom transfermafia_5560 density VApop lagmafia_hom i.year i.prov if mafiapresence<1 , r cluster(prov) irr exp(pop)

xi:  nbreg  mafia_hom transfermafia_5560 density VApop lagmafia_hom i.year i.prov if mafiapresence>=1, r cluster(prov) irr exp(pop)


*Table 4 - Fractionalization*
*Model 4.a & 4.b*

xi:  nbreg  mafia_hom transfermafia_5560 density  VApop  lagmafia_hom  i.prov i.year if fractionalization<=.6238, r cluster(prov) exp(pop) irr

xi:  nbreg  mafia_hom transfermafia_5560 density  VApop  lagmafia_hom    i.prov i.year if fractionalization>.6238, r cluster(prov) exp(pop) irr


